c++-annotations (10.8.1-1) experimental; urgency=low

  * Additional typos uncovered by Amazon were fixed.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 08 Jun 2017 12:50:20 +0200

c++-annotations (10.8.0-1) experimental; urgency=low

  * New upstream release covers features introduced by the C++17 standard,
    discontinues coverage of features dropped by the C++17 standard and
    fixes many typos.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 08 Jun 2017 09:07:58 +0200

c++-annotations (10.7.2-1) experimental; urgency=low

  * New upstream release contains a complete re-implementation of the
    procedure to add binary operators to classes. The current procedure
    fundamentally differs from the one advocated in release 10.7.1.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 12 Feb 2017 14:29:24 +0100

c++-annotations (10.7.1-1) experimental; urgency=low

  * New upstream release simplifies the templates that add binary operators to
    classes, and adds some specific section links to the SFINAE section.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 04 Feb 2017 12:02:27 +0100
  
c++-annotations (10.7.0-1) experimental; urgency=low

  [ Frank B. Brokken ]
  * New upstream release (adds several new sections, mainly related to the
    upcoming C++17 standard, and contains rewritten sections about
    implementing/adding binary operators to classes).

  [ tony mancill ]
  * Use debhelper 10.
  * Update Vcs URLs to use https.
  * Add build-dep on texlive-latex-extra so upquote.sty can be resolved.
  * Add debian/watch.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 28 Jan 2017 13:45:15 +0100

c++-annotations (10.6.0-1) unstable; urgency=low

  * New upstream release (adds new sections about various l/rvalue types and
    about using std:;exceptions, and contains various cosmetic changes; see
    the upstream changelog for details).

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 30 Oct 2016 10:58:48 +0100

c++-annotations (10.5.1-1) unstable; urgency=low

  * New upstream release (fixed typos and completed cosmetic changes)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 24 Jul 2016 07:45:21 +0200

c++-annotations (10.5.0-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release adapted and extended coverage of C++'s time handling
    facilities 
  * Updated the debian/control build-depends requirements.

  [ tony mancill ]
  * Drop ancient conflicts "Conflicts: c++-annotations (<< 6.4.0f-3)"

 -- tony mancill <tmancill@debian.org>  Wed, 23 Dec 2015 12:02:08 -0800

c++-annotations (10.4.0-1) unstable; urgency=low

  * New upstream release (among other changes: added a new section about
    reference binings)

  * Updated the Homepage to github

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 11 Dec 2015 15:52:20 +0100

c++-annotations (10.3.0-2) unstable; urgency=low

  * This release depends on libbobcat4

  * Removed the get-orig-source target from debian/rules

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 07 Oct 2015 13:35:59 +0200

c++-annotations (10.3.0-1) unstable; urgency=low

  * New upstream release adds new sections about expression templates, about
    attributes, about shared mutexes, about shared locks, about heterogeneous
    lookups, about sized deallocation functions, and about moving and swapping
    streams; added references to C++14 to various sections; and reorganized
    the section about lambda expressions; fixes some typos; and repairs a
    compilation problem introduced by g++-5. (Closes: #793224, #794666)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 16 Aug 2015 15:26:51 +0200

c++-annotations (10.2.1-1) unstable; urgency=low

  * New upstream release fixes some typos and repairs a compilation problem
    introduced by g++-5

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 11 Aug 2015 13:52:48 +0200

c++-annotations (10.2.0-1) unstable; urgency=low

  * New upstream release reorganizes and improves the coverage of C++14's
    regular expression facilites 

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 25 May 2015 11:08:03 +0200

c++-annotations (10.1.0-1) unstable; urgency=low

  * New upstream release adds sections about handling regular expressions

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 24 Dec 2014 19:57:16 +0100

c++-annotations (10.0.0-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release adds a new chapter about multi threading
  * Updated version information in 'control'
  * Bump Standards-Version to 3.9.6.

  [ tony mancill ]
  * Drop explicit dependency on g++-4.9, which is now unnecessary.

 -- tony mancill <tmancill@debian.org>  Fri, 31 Oct 2014 06:43:08 -0700

c++-annotations (9.9.1-2) unstable; urgency=medium

  * Switch explicit dependency on g++-4.8 to g++-4.9.  This is only
    needed while sh4 still defaults to g++-4.6.  (Closes: #751306)

 -- tony mancill <tmancill@debian.org>  Thu, 12 Jun 2014 20:39:24 -0700

c++-annotations (9.9.1-1) unstable; urgency=low

  * Fixed LaTeX formatting problems with cplusplusUS ps/pdf files

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 05 Jun 2014 14:25:55 +0200

c++-annotations (9.9.0-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * Reordered and rewrote sections about stl's time and condition variable
    classes 

  * Changed the compiler version to 4.9 in the 'rules' file. 4.9. is not
    essential (4.8 should do fine as well).

  [ tony mancill ]
  * Switch compiler back to g++-4.8.
  * Update Vcs- URLs in debian/control to be canonical.

 -- tony mancill <tmancill@debian.org>  Tue, 03 Jun 2014 23:19:08 -0700

c++-annotations (9.8.2-1) unstable; urgency=low

  * Completed the list of available type traits

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 07 Mar 2014 15:12:16 +0100

c++-annotations (9.8.1-1) unstable; urgency=low

  * Added several additions to existing sections: about shared/unique _ptr,
    about defining (const_)(reverse_)iterators, and about bound function
    template friends. 

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 02 Mar 2014 15:31:34 +0100

c++-annotations (9.8.0-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release, adds a section about static polymorphism, removes
    the concrete/a2x section, and removes C++11 indicators from the section
    headers. 

  [ tony mancill ]
  * Use debhelper 9.
  * Tweak build-deps for g++ to use >= 4.8.

 -- tony mancill <tmancill@debian.org>  Sat, 18 Jan 2014 08:55:27 -0800

c++-annotations (9.7.3-1) unstable; urgency=low

  * New upstream release, fixing several typos.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 22 Aug 2013 13:21:10 +0200

c++-annotations (9.7.2-1) unstable; urgency=low

  * New upstream release, repairs several minor left-over flaws.
    This release incorporates 9.7.0 and 9.7.1.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 30 May 2013 13:32:18 +0200

c++-annotations (9.7.1-1) unstable; urgency=low

  * New upstream release updates the Annotation's 'what's new' section. 
    Other than that, release 9.7.1 incorporates 9.7.0.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 30 May 2013 09:47:54 +0200

c++-annotations (9.7.0-1) UNRELEASED; urgency=low

  * New upstream release adds/rewrote several sections, covering topics like
    time specifications, multi-threading, the system_error exception class,
    lambda expressions. Several more minor changes are documented in the
    upstream's changelog.

  * Moved the MD5TRUSTED definition in debian/rules to the top-section of that
    file 

  * Removed the git-build target from debian/rules

  * Changed c++-annotations_...tar.gz to cpp-annotations_...tar.gz to
    synchronize with the pathname used at alioth
    (git.debian.org/git/collab-maint/cpp-annotations) 

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 29 May 2013 22:38:40 +0200

c++-annotations (9.6.0-2) UNRELEASED; urgency=low

  * Update Vcs fields in d/control to point to collab-maint repo

 -- tony mancill <tmancill@debian.org>  Sun, 10 Mar 2013 12:31:05 -0700

c++-annotations (9.6.0-1) unstable; urgency=low

  * New upstream release adds new section about noexcept and updates the
    string chapter

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 10 Jan 2013 20:34:38 +0100

c++-annotations (9.5.0-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release adds new section about Allocators and updates the
    sequential containers to C++11

  [ tony mancill ]
  * Bump Standards-Version to 3.9.4.
  * Remove Vcs-Browse field; replace Vcs-Svn with Vcs-Git URL.

 -- tony mancill <tmancill@debian.org>  Sat, 15 Dec 2012 19:55:26 +0000

c++-annotations (9.4.0-1) unstable; urgency=low

  * New upstream release adds new section about std::make_shared

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 28 Jun 2012 20:51:43 +0200

c++-annotations (9.3.0-1) unstable; urgency=low

  * New upstream release improves coverage of static_cast and
    reinterpret_cast, and reorganizes the wording of the casts-sections

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 29 Mar 2012 08:39:50 +0200

c++-annotations (9.2.1-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release (using flexc++, reauthored polymorphic semantic
    values and unrestricted unions). Upstream release 9.2.0 is implied by
    this release.

  [ tony mancill ]
  * Set Standards-Version to 3.9.3.

 -- tony mancill <tmancill@debian.org>  Tue, 28 Feb 2012 00:50:21 +0000

c++-annotations (9.1.0-1) unstable; urgency=low

  * New upstream release (covering C++11 to a large extend)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 20 Jan 2012 11:53:17 +0100

c++-annotations (9.0.2-1) unstable; urgency=low

  * New upstream release (editorial changes)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 12 Sep 2011 16:08:05 +0200

c++-annotations (9.0.1-1) unstable; urgency=low

  * New upstream release fixes some annoying typos

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 20 Jul 2011 12:27:26 +0200

c++-annotations (9.0.0-1) unstable; urgency=low

  * New upstream major release, syncing the sections about move special
    members with the position adopted by the C++ standards committee.

  * [GD] Added build-arch, build-indep, dropped configure, moved 
     installation part to install-indep; dropped configure-stamp.
  * [GD] Install c++-annotations.7 via c++-annotations.manpages.
  * [GD] Drop portugese translation from description as it is not
         provided anymore (substantially lagging behind the original).
  * [GD] Added Vcs-Browser field.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 20 Jun 2011 11:38:01 +0200

c++-annotations (8.3.1-2) unstable; urgency=low

  * Set distribution to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 24 Dec 2010 20:54:01 -0800

c++-annotations (8.3.1-1) experimental; urgency=low

  * New upstream release.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 20 Dec 2010 15:51:06 +0100

c++-annotations (8.3.0-1) experimental; urgency=low

  [ Frank B. Brokken ]
  * New upstream release.

  [ tony mancill ]
  * Uploading to experimental for distribution until the squeeze freeze
    has been lifted.

 -- tony mancill <tmancill@debian.org>  Sun, 19 Sep 2010 18:14:26 -0700

c++-annotations (8.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 17 May 2010 16:42:42 +0200

c++-annotations (8.1.2-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release.

  [ tony mancill ]
  * Switched to source format 3.0 (quilt)
  * Upgraded to debhelper compat 7; minor tweak to debian/rules.

 -- tony mancill <tmancill@debian.org>  Thu, 06 May 2010 21:53:54 -0700

c++-annotations (8.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 11 Mar 2010 21:11:28 +0100

c++-annotations (8.1.1~pre-1) unstable; urgency=low

  * New preliminary upstream release, not for distribution to Debian

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 03 Mar 2010 20:40:59 +0100

c++-annotations (8.1.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 01 Mar 2010 09:11:46 +0100

c++-annotations (8.1.0~pre2-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 23 Dec 2009 19:54:17 +0100

c++-annotations (8.1.0~pre1-1) unstable; urgency=low

  * New upstream release
  * Add version 2 to GPL in copyright
  * Move all build-depends to Build-Depends-Indep, except debhelper,
    since no architecture-dependent packages being built
  * Add some bits to the packages short descriptions to make the differences
    more clear among them

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 06 Nov 2009 10:55:45 +0100

c++-annotations (8.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #542999)
  * Build-Depends on bobcat 2.04.01

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 04 Sep 2009 20:17:34 +0200

c++-annotations (8.0.0-2) unstable; urgency=low

  * debian/control: change archive section from 'devel' to 'doc'

 -- tony mancill <tmancill@debian.org>  Tue, 21 Jul 2009 14:00:33 -0700

c++-annotations (8.0.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 16 Jul 2009 10:15:14 +0200

c++-annotations (7.3.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 15 Feb 2009 16:47:42 +0100

c++-annotations (7.2.2-1) unstable; urgency=low

  * New upstream release (textual corrections, new major version of the
    bobcat library)
  * control: XS-X-Vcs-Svn replaced by Vcs-Svn

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 06 Dec 2008 13:40:26 +0100

c++-annotations (7.2.1-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release (textual corrections)

  [ George Danchev ]
  * standards-version is now 3.8.0, no changes needed
  * build-depends on ghostscript rather than gs-gpl, which is now obsoleted

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 06 Aug 2008 08:54:20 +0200

c++-annotations (7.2.0-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release

  [ tony mancill ]
  * Standards version is now 3.7.3.
  * debian/rules:  binary-arch target has been replaced with binary-indep

 -- tony mancill <tmancill@debian.org>  Tue, 25 Mar 2008 08:00:58 -0700

c++-annotations (7.0.1-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 30 Jul 2007 12:53:26 +0200

c++-annotations (7.0.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 15 Jun 2007 19:31:12 +0200

c++-annotations (6.5.0-2) unstable; urgency=low

  [ George Danchev ]
  * Added sty files to the -latex package

  [ tony mancill ]
  * updated build dependencies for tetex to texlive transition

 -- tony mancill <tmancill@debian.org>  Fri, 20 Apr 2007 22:05:03 -0700

c++-annotations (6.5.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 30 Nov 2006 16:07:55 +0100

c++-annotations (6.4.1-2) unstable; urgency=low

  * control: use XS-X-Vcs-Svn, rather that XS-X-VCS-Svn
  * rules: install all directories with code examples

 -- George Danchev <danchev@spnet.net>  Fri, 22 Sep 2006 11:42:27 +0300

c++-annotations (6.4.1-1) unstable; urgency=low

  * New upstream release
    - removed chist document from contrib package due to license ambiguity
    - removed Portuguese translation until license can be clarified

  * copyright: added permissions for contributions/java_cpp_keywords.html

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 19 Sep 2006 13:14:25 +0200

c++-annotations (6.4.0f-5) unstable; urgency=low

  [ Tony Mancill ]
  * Fixed the spelling of Portuguese
  * Added myself to uploaders
  * Added some information to the main package description about the other
    formats, removed some of the whitespace in the dependencies line
  * Removed the conflicts from the main package.

 -- George Danchev <danchev@spnet.net>  Fri, 15 Sep 2006 08:15:55 +0300

c++-annotations (6.4.0f-4) unstable; urgency=low

  [ George Danchev ]
  * Split off html|txt|latex|pdf|ps|dvi|contrib packages, thus
    Conflicts: c++-annotations (<< 6.4.0f-3) since the directory overlap
  * get-orig-source: use sed instead of original-awk

 -- George Danchev <danchev@spnet.net>  Sun, 10 Sep 2006 11:28:10 +0300

c++-annotations (6.4.0f-3) unstable; urgency=low

  [ George Danchev ]  
  * Add XS-X-VCS-Svn: field to control file
  * DVI, PS, and LaTex outputs are now compressed
  * Only certain files are installed from latex directory
  * Symlinks are now removed

 -- George Danchev <danchev@spnet.net>  Fri,  8 Sep 2006 19:32:23 +0300

c++-annotations (6.4.0f-2) unstable; urgency=low

  [ George Danchev, after a review by Tony Mancill ]
  * Architecture: all
  * Remove ${shlibs:Depends} from Depends:
  * Remove lynx | www-browser from Depends:
  * Remove gs from Build-Depends:
  * Add Homepage: to Description:
  * Remove extra debian/docs file, files already handled by dh_installdocs

 -- George Danchev <danchev@spnet.net>  Fri,  8 Sep 2006 04:33:54 +0300

c++-annotations (6.4.0f-1) unstable; urgency=low

  * New Upstream release
 
 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 07 Sep 2006 14:04:27 +0200

c++-annotations (6.4.0e-1) unstable; urgency=low

  * Initial release (Closes: #386060)
 
 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri,  1 Sep 2006 16:12:33 +0200

